Summary: Measuring Buffer is a tool for buffering data streams
Name: mbuffer
Version: 20241007
Release: 1%{?dist}
License: GPL-3.0-only
Group: Applications/File
URL: http://www.maier-komor.de/mbuffer.html
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://www.maier-komor.de/software/%{name}/%{name}-%{version}.tgz
Patch0: mbuffer-20190725-use_libcrypto.patch
Patch1: mbuffer-20210328-config.patch
Patch2: mbuffer-20200929-makefile.patch
# Patches >= 100 are / will be fixed in SCM
BuildRequires: openssl-devel, sed
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Measuring Buffer is a tool for buffering data streams. Its special
feature is to show the I/O rate and summary to the user. This was
firstly the main reason to develope it.
It is especially useful, if you are writing backups to fast tape drives
or libraries. Those drives tend to stop and rewind if they have a buffer
underrun. This so called tape screwing reduces the lifetime of the motors.
mbuffer can prevent buffer underruns, if used correctly and speed up the
whole backup process. Please read the man page for details, how to use it.

%prep
%setup -q
%patch0 -p1 -b .use_libcrypto
%patch1 -p1 -b .config
%patch2 -p1 -b .makefile

%build
%configure
%{__sed} -i -e "s@-lgcrypt\ @@g" -e "s@-lmhash\ @@g" -e "s@-lmd5\ @@g" Makefile
%{__make} %{name}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE NEWS README
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.rc
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Oct 09 2024 Simon Matter <simon.matter@invoca.ch> 20241007-1
- update to release 20241007

* Fri Oct 04 2024 Simon Matter <simon.matter@invoca.ch> 20240929-1
- update to release 20240929

* Mon Jul 08 2024 Simon Matter <simon.matter@invoca.ch> 20240707-1
- update to release 20240707

* Wed Jan 17 2024 Simon Matter <simon.matter@invoca.ch> 20240107-1
- update to release 20240107

* Fri Mar 03 2023 Simon Matter <simon.matter@invoca.ch> 20230301-1
- update to release 20230301

* Mon Apr 25 2022 Simon Matter <simon.matter@invoca.ch> 20220418-1
- update to release 20220418

* Wed Oct 06 2021 Simon Matter <simon.matter@invoca.ch> 20211004-1
- update to release 20211004

* Mon Aug 30 2021 Simon Matter <simon.matter@invoca.ch> 20210829-1
- update to release 20210829

* Mon Mar 29 2021 Simon Matter <simon.matter@invoca.ch> 20210328-1
- update to release 20210328

* Wed Feb 10 2021 Simon Matter <simon.matter@invoca.ch> 20210209-1
- update to release 20210209

* Thu Oct 01 2020 Simon Matter <simon.matter@invoca.ch> 20200929-1
- update to release 20200929

* Mon May 11 2020 Simon Matter <simon.matter@invoca.ch> 20200505-1
- update to release 20200505

* Mon Oct 21 2019 Simon Matter <simon.matter@invoca.ch> 20191016-1
- update to release 20191016

* Fri Jul 26 2019 Simon Matter <simon.matter@invoca.ch> 20190725-1
- update to release 20190725

* Mon Jan 28 2019 Simon Matter <simon.matter@invoca.ch> 20190127-1
- update to release 20190127

* Tue Jan 22 2019 Simon Matter <simon.matter@invoca.ch> 20190119-2
- add network patch

* Mon Jan 21 2019 Simon Matter <simon.matter@invoca.ch> 20190119-1
- update to release 20190119

* Thu Jan 17 2019 Simon Matter <simon.matter@invoca.ch> 20190113-5
- add typos patch

* Thu Jan 17 2019 Simon Matter <simon.matter@invoca.ch> 20190113-4
- update o_direct_fix patch

* Tue Jan 15 2019 Simon Matter <simon.matter@invoca.ch> 20190113-3
- improve o_direct_fix patch

* Mon Jan 14 2019 Simon Matter <simon.matter@invoca.ch> 20190113-2
- add o_direct_fix patch

* Mon Jan 14 2019 Simon Matter <simon.matter@invoca.ch> 20190113-1
- update to release 20190113

* Mon Dec 03 2018 Simon Matter <simon.matter@invoca.ch> 20181119-1
- update to release 20181119

* Tue Jun 26 2018 Simon Matter <simon.matter@invoca.ch> 20180625-1
- update to release 20180625

* Mon May 07 2018 Simon Matter <simon.matter@invoca.ch> 20180505-1
- update to release 20180505

* Fri Apr 13 2018 Simon Matter <simon.matter@invoca.ch> 20180410-1
- update to release 20180410

* Mon Mar 19 2018 Simon Matter <simon.matter@invoca.ch> 20180318-1
- update to release 20180318

* Sat Oct 14 2017 Simon Matter <simon.matter@invoca.ch> 20171011-1
- update to release 20171011

* Tue Sep 26 2017 Simon Matter <simon.matter@invoca.ch> 20170921-1
- update to release 20170921

* Mon Aug 07 2017 Simon Matter <simon.matter@invoca.ch> 20170806-1
- update to release 20170806

* Tue May 16 2017 Simon Matter <simon.matter@invoca.ch> 20170515-1
- update to release 20170515

* Mon May 15 2017 Simon Matter <simon.matter@invoca.ch> 20170514-2
- patch out additional config file location

* Mon May 15 2017 Simon Matter <simon.matter@invoca.ch> 20170514-1
- update to release 20170514

* Sat Apr 22 2017 Simon Matter <simon.matter@invoca.ch> 20161115-2
- add openssl-devel as build dependency

* Mon Nov 21 2016 Simon Matter <simon.matter@invoca.ch> 20161115-1
- update to release 20161115

* Fri Jun 24 2016 Simon Matter <simon.matter@invoca.ch> 20160613-1
- update to release 20160613

* Tue Mar 01 2016 Simon Matter <simon.matter@invoca.ch> 20160228-1
- update to release 20160228

* Mon Oct 05 2015 Simon Matter <simon.matter@invoca.ch> 20151002-1
- update to release 20151002

* Mon Apr 13 2015 Simon Matter <simon.matter@invoca.ch> 20150412-1
- update to release 20150412

* Wed Dec 31 2014 Simon Matter <simon.matter@invoca.ch> 20141227-1
- update to release 20141227

* Tue Mar 11 2014 Simon Matter <simon.matter@invoca.ch> 20140310-1
- update to release 20140310

* Mon Jan 27 2014 Simon Matter <simon.matter@invoca.ch> 20140126-1
- update to release 20140126

* Thu Feb 21 2013 Simon Matter <simon.matter@invoca.ch> 20130220-1
- update to release 20130220

* Mon Feb 11 2013 Simon Matter <simon.matter@invoca.ch> 20130209-1
- update to release 20130209

* Sat Nov 17 2012 Simon Matter <simon.matter@invoca.ch> 20121111-1
- update to release 20121111

* Mon May 07 2012 Simon Matter <simon.matter@invoca.ch> 20120505-1
- update to release 20120505

* Tue Jul 26 2011 Simon Matter <simon.matter@invoca.ch> 20110724-1
- update to release 20110724

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 20110317-2
- mass rebuild

* Fri Mar 18 2011 Simon Matter <simon.matter@invoca.ch> 20110317-1
- update to release 20110317

* Thu Jan 20 2011 Simon Matter <simon.matter@invoca.ch> 20110119-1
- update to release 20110119

* Fri Dec 31 2010 Simon Matter <simon.matter@invoca.ch> 20101230-1
- update to release 20101230

* Mon May 31 2010 Simon Matter <simon.matter@invoca.ch> 20100526-1
- update to release 20100526

* Mon Mar 29 2010 Simon Matter <simon.matter@invoca.ch> 20100327-1
- update to release 20100327

* Tue Dec 29 2009 Simon Matter <simon.matter@invoca.ch> 20091227-1
- update to release 20091227

* Mon Nov 23 2009 Simon Matter <simon.matter@invoca.ch> 20091122-1
- update to release 20091122

* Wed Nov 11 2009 Simon Matter <simon.matter@invoca.ch> 20091110-1
- update to release 20091110

* Tue Oct 13 2009 Simon Matter <simon.matter@invoca.ch> 20091012-1
- update to release 20091012

* Mon Jun 29 2009 Simon Matter <simon.matter@invoca.ch> 20090628-1
- update to release 20090628

* Mon Feb 16 2009 Simon Matter <simon.matter@invoca.ch> 20090215-1
- update to release 20090215

* Thu Jan 15 2009 Simon Matter <simon.matter@invoca.ch> 20090113-1
- update to release 20090113

* Wed Jan 07 2009 Simon Matter <simon.matter@invoca.ch> 20090106-1
- update to release 20090106

* Mon Dec 08 2008 Simon Matter <simon.matter@invoca.ch> 20081207-1
- update to release 20081207

* Wed Nov 19 2008 Simon Matter <simon.matter@invoca.ch> 20081113-1
- update to release 20081113

* Thu Oct 16 2008 Simon Matter <simon.matter@invoca.ch> 20081015-1
- update to release 20081015

* Wed Oct 15 2008 Simon Matter <simon.matter@invoca.ch> 20081014-1
- update to release 20081014

* Fri Sep 12 2008 Simon Matter <simon.matter@invoca.ch> 20080910-2
- add patch to build on old GCC

* Thu Sep 11 2008 Simon Matter <simon.matter@invoca.ch> 20080910-1
- update to release 20080910

* Thu May 08 2008 Simon Matter <simon.matter@invoca.ch> 20080507-1
- update to release 20080507

* Sat May 03 2008 Simon Matter <simon.matter@invoca.ch> 20080502-1
- update to release 20080502

* Mon Mar 31 2008 Simon Matter <simon.matter@invoca.ch> 20080329-1
- update to release 20080329

* Tue Feb 12 2008 Simon Matter <simon.matter@invoca.ch> 20080212-1
- update to release 20080212

* Tue Feb 12 2008 Simon Matter <simon.matter@invoca.ch> 20080122-2
- add patch to fix a race condition where writing never stops

* Tue Jan 22 2008 Simon Matter <simon.matter@invoca.ch> 20080122-1
- update to release 20080122

* Sat Jan 19 2008 Simon Matter <simon.matter@invoca.ch> 20080104-2
- add tty patch to fix problem when running mbuffer in background

* Sun Jan 13 2008 Simon Matter <simon.matter@invoca.ch> 20080104-1
- update to release 20080104

* Wed Sep 12 2007 Simon Matter <simon.matter@invoca.ch> 20070911-1
- update to release 20070911

* Mon Aug 27 2007 Simon Matter <simon.matter@invoca.ch> 20070826-1
- update to release 20070826

* Fri May 18 2007 Simon Matter <simon.matter@invoca.ch> 20070518-1
- update to release 20070518

* Thu May 03 2007 Simon Matter <simon.matter@invoca.ch> 20070502-1
- update to release 20070502

* Tue May 01 2007 Simon Matter <simon.matter@invoca.ch> 20070401-1
- update to release 20070401

* Mon Mar 19 2007 Simon Matter <simon.matter@invoca.ch> 20070317-1
- update to release 20070317

* Sat Jan 06 2007 Simon Matter <simon.matter@invoca.ch> 20060728-2
- move binaries and libraries to /usr/

* Sun Jul 30 2006 Simon Matter <simon.matter@invoca.ch> 20060728-1
- update to release 20060728

* Tue Jul 04 2006 Simon Matter <simon.matter@invoca.ch> 20060704-1
- update to release 20060704

* Tue Jun 27 2006 Simon Matter <simon.matter@invoca.ch> 20060626-1
- update to release 20060626

* Sat Jun 17 2006 Simon Matter <simon.matter@invoca.ch> 20060616-1
- update to release 20060616

* Tue May 16 2006 Simon Matter <simon.matter@invoca.ch> 20060421-2
- add patches to remove -d option

* Fri Apr 21 2006 Simon Matter <simon.matter@invoca.ch> 20060421-1
- update to release 20060421
- add no_pthread_cancel patch to prevent segfaults on terminate

* Thu Apr 06 2006 Simon Matter <simon.matter@invoca.ch> 20060324-1
- update to release 20060324

* Fri Feb 17 2006 Simon Matter <simon.matter@invoca.ch> 20060217-1
- update to release 20060217

* Mon Jan 30 2006 Simon Matter <simon.matter@invoca.ch> 20060126-1
- update to release 20060126

* Fri Oct 07 2005 Simon Matter <simon.matter@invoca.ch> 20051006-1
- update to release 20051006

* Tue Oct 04 2005 Simon Matter <simon.matter@invoca.ch> 20051003-1
- update to release 20051003

* Wed Jul 27 2005 Simon Matter <simon.matter@invoca.ch>
- initial package
